Package: groovy.ui

## [Java] Class ConsoleTextEditor

- groovy.ui.ConsoleTextEditor

- Component which provides a styled editor for the console.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JScrollPane` | `VIEWPORT, VERTICAL_SCROLLBAR, HORIZONTAL_SCROLLBAR, ROW_HEADER, COLUMN_HEADER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, LOWER_LEADING_CORNER, LOWER_TRAILING_CORNER, UPPER_LEADING_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR_POLICY, HORIZONTAL_SCROLLBAR_POLICY, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_ALWAYS, WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`
    `class JComponent` | `WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `defaultFamily`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `def` | `ConsoleTextEditor()` Creates a new instance of ConsoleTextEditor
    `` | `boolean` | `clipBoardAvailable()`
    `` | `String` | `getDefaultFamily()`
    `` | `Action` | `getPrintAction()`
    `` | `Action` | `getRedoAction()`
    `` | `TextEditor` | `getTextEditor()`
    `` | `Action` | `getUndoAction()`
    `` | `protected void` | `initActions()`
    `` | `void` | `setDefaultFamily(String defaultFamily)`
    `` | `void` | `setEditable(boolean editable)`
    `` | `void` | `setShowLineNumbers(boolean showLineNumbers)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JScrollPane` | `isValidateRoot, setLayout, setUI, updateUI, getUIClassID, getUI, getUI, getAccessibleContext, setComponentOrientation, getVerticalScrollBarPolicy, setVerticalScrollBarPolicy, getHorizontalScrollBarPolicy, setHorizontalScrollBarPolicy, getViewportBorder, setViewportBorder, getViewportBorderBounds, createHorizontalScrollBar, getHorizontalScrollBar, setHorizontalScrollBar, createVerticalScrollBar, getVerticalScrollBar, setVerticalScrollBar, setViewport, setViewportView, getRowHeader, setRowHeader, setRowHeaderView, getColumnHeader, setColumnHeader, isWheelScrollingEnabled, setWheelScrollingEnabled, getViewport, setColumnHeaderView, getCorner, setCorner, getBounds, disable, enable, setEnabled, getClientProperty, setInheritsPopupMenu, getInheritsPopupMenu, setComponentPopupMenu, getComponentPopupMenu, paint, printAll, isPaintingTile, isPaintingForPrint, isManagingFocus, setNextFocusableComponent, getNextFocusableComponent, setRequestFocusEnabled, isRequestFocusEnabled, requestFocus, requestFocus, requestFocusInWindow, grabFocus, setVerifyInputWhenFocusTarget, getVerifyInputWhenFocusTarget, getFontMetrics, setPreferredSize, getPreferredSize, setMaximumSize, getMaximumSize, setMinimumSize, getMinimumSize, setBorder, getBorder, getInsets, getInsets, getAlignmentY, setAlignmentY, getAlignmentX, setAlignmentX, setInputVerifier, getInputVerifier, getGraphics, setDebugGraphicsOptions, getDebugGraphicsOptions, registerKeyboardAction, registerKeyboardAction, unregisterKeyboardAction, getRegisteredKeyStrokes, getConditionForKeyStroke, getActionForKeyStroke, resetKeyboardActions, setInputMap, getInputMap, getInputMap, setActionMap, getActionMap, getBaseline, getBaselineResizeBehavior, requestDefaultFocus, setVisible, setForeground, setBackground, setFont, getDefaultLocale, setDefaultLocale, setToolTipText, getToolTipText, getToolTipText, getToolTipLocation, getPopupLocation, createToolTip, scrollRectToVisible, setAutoscrolls, getAutoscrolls, setTransferHandler, getTransferHandler, putClientProperty, setFocusTraversalKeys, isLightweightComponent, reshape, getX, getY, getWidth, getHeight, computeVisibleRect, getVisibleRect, addVetoableChangeListener, removeVetoableChangeListener, getVetoableChangeListeners, getTopLevelAncestor, removeAncestorListener, getAncestorListeners, addNotify, removeNotify, repaint, repaint, isOptimizedDrawingEnabled, paintImmediately, paintImmediately, setDoubleBuffered, isDoubleBuffered, getRootPane, hide, addAncestorListener, firePropertyChange, firePropertyChange, firePropertyChange, getListeners, revalidate, update, contains, getLocation, print, getSize, setOpaque, isOpaque, locate, addPropertyChangeListener, addPropertyChangeListener, invalidate, layout, getComponent, preferredSize, minimumSize, insets, isFocusCycleRoot, isFocusCycleRoot, getFocusTraversalPolicy, setFocusTraversalPolicy, countComponents, setComponentZOrder, getComponentZOrder, doLayout, paintComponents, printComponents, addContainerListener, removeContainerListener, getContainerListeners, deliverEvent, getMousePosition, findComponentAt, findComponentAt, isAncestorOf, getFocusTraversalKeys, areFocusTraversalKeysSet, isFocusTraversalPolicySet, setFocusCycleRoot, setFocusTraversalPolicyProvider, isFocusTraversalPolicyProvider, transferFocusDownCycle, applyComponentOrientation, getLayout, getComponents, getComponentAt, getComponentAt, getComponentCount, add, add, add, add, add, remove, remove, list, list, validate, removeAll, getBounds, isEnabled, isValid, enable, bounds, requestFocus, requestFocusInWindow, repaint, repaint, repaint, nextFocus, getForeground, getFont, getTreeLock, isVisible, getFocusCycleRootAncestor, isDisplayable, isPreferredSizeSet, isMaximumSizeSet, isMinimumSizeSet, getBackground, isLightweight, setBounds, setBounds, getPropertyChangeListeners, getPropertyChangeListeners, isShowing, getMousePosition, getGraphicsConfiguration, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, setLocation, setLocation, dispatchEvent, isFocusable, isFocusOwner, transferFocus, handleEvent, postEvent, transferFocusBackward, setDropTarget, getDropTarget, getToolkit, enableInputMethods, show, show, isForegroundSet, isBackgroundSet, isFontSet, getColorModel, getLocationOnScreen, setCursor, getCursor, isCursorSet, paintAll, imageUpdate, createImage, createImage, createVolatileImage, createVolatileImage, prepareImage, prepareImage, checkImage, checkImage, setIgnoreRepaint, getIgnoreRepaint, inside, addComponentListener, removeComponentListener, getComponentListeners, addFocusListener, removeFocusListener, getFocusListeners, addHierarchyListener, removeHierarchyListener, getHierarchyListeners, addHierarchyBoundsListener, removeHierarchyBoundsListener, getHierarchyBoundsListeners, addKeyListener, removeKeyListener, getKeyListeners, addMouseListener, removeMouseListener, getMouseListeners, addMouseMotionListener, removeMouseMotionListener, getMouseMotionListeners, addMouseWheelListener, removeMouseWheelListener, getMouseWheelListeners, addInputMethodListener, removeInputMethodListener, getInputMethodListeners, getInputMethodRequests, getInputContext, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, gotFocus, lostFocus, isFocusTraversable, setFocusable, setFocusTraversalKeysEnabled, getFocusTraversalKeysEnabled, transferFocusUpCycle, hasFocus, getComponentOrientation, setMixingCutoutShape, add, remove, toString, getName, contains, list, list, list, size, getParent, getLocation, setName, action, location, getSize, resize, resize, setSize, setSize, move, setLocale, getLocale, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class JComponent` | `getBounds, disable, enable, setEnabled, getClientProperty, setInheritsPopupMenu, getInheritsPopupMenu, setComponentPopupMenu, getComponentPopupMenu, paint, printAll, isPaintingTile, isPaintingForPrint, isManagingFocus, setNextFocusableComponent, getNextFocusableComponent, setRequestFocusEnabled, isRequestFocusEnabled, requestFocus, requestFocus, requestFocusInWindow, grabFocus, setVerifyInputWhenFocusTarget, getVerifyInputWhenFocusTarget, getFontMetrics, setPreferredSize, getPreferredSize, setMaximumSize, getMaximumSize, setMinimumSize, getMinimumSize, setBorder, getBorder, getInsets, getInsets, getAlignmentY, setAlignmentY, getAlignmentX, setAlignmentX, setInputVerifier, getInputVerifier, getGraphics, setDebugGraphicsOptions, getDebugGraphicsOptions, registerKeyboardAction, registerKeyboardAction, unregisterKeyboardAction, getRegisteredKeyStrokes, getConditionForKeyStroke, getActionForKeyStroke, resetKeyboardActions, setInputMap, getInputMap, getInputMap, setActionMap, getActionMap, getBaseline, getBaselineResizeBehavior, requestDefaultFocus, setVisible, setForeground, setBackground, setFont, getDefaultLocale, setDefaultLocale, setToolTipText, getToolTipText, getToolTipText, getToolTipLocation, getPopupLocation, createToolTip, scrollRectToVisible, setAutoscrolls, getAutoscrolls, setTransferHandler, getTransferHandler, putClientProperty, setFocusTraversalKeys, isLightweightComponent, reshape, getX, getY, getWidth, getHeight, computeVisibleRect, getVisibleRect, addVetoableChangeListener, removeVetoableChangeListener, getVetoableChangeListeners, getTopLevelAncestor, removeAncestorListener, getAncestorListeners, addNotify, removeNotify, repaint, repaint, isValidateRoot, isOptimizedDrawingEnabled, paintImmediately, paintImmediately, setDoubleBuffered, isDoubleBuffered, getRootPane, hide, updateUI, getUIClassID, getUI, addAncestorListener, firePropertyChange, firePropertyChange, firePropertyChange, getListeners, revalidate, update, contains, getLocation, print, getSize, setOpaque, isOpaque, locate, addPropertyChangeListener, addPropertyChangeListener, invalidate, layout, getComponent, preferredSize, minimumSize, insets, isFocusCycleRoot, isFocusCycleRoot, getFocusTraversalPolicy, setFocusTraversalPolicy, countComponents, setComponentZOrder, getComponentZOrder, setLayout, doLayout, paintComponents, printComponents, addContainerListener, removeContainerListener, getContainerListeners, deliverEvent, getMousePosition, findComponentAt, findComponentAt, isAncestorOf, getFocusTraversalKeys, areFocusTraversalKeysSet, isFocusTraversalPolicySet, setFocusCycleRoot, setFocusTraversalPolicyProvider, isFocusTraversalPolicyProvider, transferFocusDownCycle, applyComponentOrientation, getLayout, getComponents, getComponentAt, getComponentAt, getComponentCount, add, add, add, add, add, remove, remove, list, list, validate, removeAll, getBounds, isEnabled, isValid, enable, bounds, requestFocus, requestFocusInWindow, repaint, repaint, repaint, nextFocus, getForeground, getFont, getTreeLock, isVisible, getFocusCycleRootAncestor, isDisplayable, isPreferredSizeSet, isMaximumSizeSet, isMinimumSizeSet, getBackground, isLightweight, setBounds, setBounds, getPropertyChangeListeners, getPropertyChangeListeners, isShowing, getMousePosition, getGraphicsConfiguration, getAccessibleContext, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, setLocation, setLocation, dispatchEvent, isFocusable, isFocusOwner, transferFocus, handleEvent, postEvent, transferFocusBackward, setDropTarget, getDropTarget, getToolkit, enableInputMethods, show, show, isForegroundSet, isBackgroundSet, isFontSet, getColorModel, getLocationOnScreen, setCursor, getCursor, isCursorSet, paintAll, imageUpdate, createImage, createImage, createVolatileImage, createVolatileImage, prepareImage, prepareImage, checkImage, checkImage, setIgnoreRepaint, getIgnoreRepaint, inside, addComponentListener, removeComponentListener, getComponentListeners, addFocusListener, removeFocusListener, getFocusListeners, addHierarchyListener, removeHierarchyListener, getHierarchyListeners, addHierarchyBoundsListener, removeHierarchyBoundsListener, getHierarchyBoundsListeners, addKeyListener, removeKeyListener, getKeyListeners, addMouseListener, removeMouseListener, getMouseListeners, addMouseMotionListener, removeMouseMotionListener, getMouseMotionListeners, addMouseWheelListener, removeMouseWheelListener, getMouseWheelListeners, addInputMethodListener, removeInputMethodListener, getInputMethodListeners, getInputMethodRequests, getInputContext, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, gotFocus, lostFocus, isFocusTraversable, setFocusable, setFocusTraversalKeysEnabled, getFocusTraversalKeysEnabled, transferFocusUpCycle, hasFocus, setComponentOrientation, getComponentOrientation, setMixingCutoutShape, add, remove, toString, getName, contains, list, list, list, size, getParent, getLocation, setName, action, location, getSize, resize, resize, setSize, setSize, move, setLocale, getLocale, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### String defaultFamily

  - ### Method Detail

    - #### public def ConsoleTextEditor()

      Creates a new instance of ConsoleTextEditor

    - #### public boolean clipBoardAvailable()

    - #### public String getDefaultFamily()

    - #### public Action getPrintAction()

    - #### public Action getRedoAction()

    - #### public TextEditor getTextEditor()

    - #### public Action getUndoAction()

    - #### protected void initActions()

    - #### public void setDefaultFamily(String defaultFamily)

    - #### public void setEditable(boolean editable)

    - #### public void setShowLineNumbers(boolean showLineNumbers)